Loading...
Searching...
No Matches
gmres.h

gmres - generalized minimum residual algorithm More...

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class SmallMatrix, class SmallVector, class Vector, class Vector2, class Size>
void | update (Vector &x, Size k, const SmallMatrix &h, const SmallVector &s, Vector2 &v)
template<class Real>
void | generate_plane_rotation (const Real &dx, const Real &dy, Real &cs, Real &sn)
template<class Real>
void | apply_plane_rotation (Real &dx, Real &dy, const Real &cs, const Real &sn)
template<class Matrix, class Vector, class Preconditioner, class SmallMatrix, class SmallVector>
int | gmres (const Matrix &A, Vector &x, const Vector &b, const Preconditioner &M, SmallMatrix &H, const SmallVector &V, const solver_option &sopt=solver_option())

## Detailed Description

gmres - generalized minimum residual algorithm

Definition in file gmres.h.